ACN::RLP::rlp_header Struct Reference

2.6.1.2.2. More...

`#include <rlp.h>`

Inheritance diagram for ACN::RLP::rlp_header:
[legend]

## Public Member Functions

size_t | streamSize () const override
| rlp_header::streamSize More...
void | iStream (PDU::Stream) override
| rlp_header::iStream More...
void | oStream (PDU::Stream) const override
| rlp_header::oStream More...

## Public Attributes

UUID::uuid | cid
| Component's UUID.

## Detailed Description

2.6.1.2.2.

Header Field in Root Layer PDUs

The Header field in Root Layer PDUs shall contain the CID of the component that generated the PDU (the Source CID).

## Member Function Documentation

## iStream()

void ACN::RLP::rlp_header::iStream | ( | PDU::Stream | stream | ) |

overridevirtual

rlp_header::iStream

Parameters

  stream |

Implements ACN::PDU::pdu_stream_object.

## oStream()

void ACN::RLP::rlp_header::oStream | ( | PDU::Stream | stream | ) | const

overridevirtual

rlp_header::oStream

Parameters

  stream |

Implements ACN::PDU::pdu_stream_object.

## streamSize()

size_t ACN::RLP::rlp_header::streamSize | ( |  | ) | const

overridevirtual

rlp_header::streamSize

Returns

Implements ACN::PDU::pdu_stream_object.

The documentation for this struct was generated from the following files:

- /home/kevin/Code/viewer/lib/OpenLCP/protocols/rlp/rlp.h
- /home/kevin/Code/viewer/lib/OpenLCP/protocols/rlp/rlp.cpp